package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ProfitRatioConfigDTO implements Serializable {

    private static final long serialVersionUID = -9007530650121576786L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 抽佣比例0-100
     */
    private int ratio;

    /**
     * 类型：1-平台；2-邀请用户；3-邀请商家
     */
    private Integer type;

    /**
     * 抽成要求数
     */
    private int num;

    /**
     * 状态：0-正常；1-停用
     */
    private Integer status;

    /**
     * 创建用户
     */
    private Long creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新用户
     */
    private Long updater;

    /**
     * 更新时间
     */
    private Date updateTime;
}
