package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@TableName(autoResultMap = true)
public class BalanceDetail implements Entity<Long> {
    private static final long serialVersionUID = -4673150288436488029L;
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    private Long targetId;
    private Integer type;
    private Long orderId;
    private Integer flowType;
    private Long sourceId;
    private Integer operateType;
    private BigDecimal operateAmount;
    private BigDecimal surplusAmount;
    private LocalDateTime createTime;
    private String remark;
}
