package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.client.dto.RankAwardRecordDTO;
import com.chelvc.cloud.vehicle.client.param.HandRankAwardParam;
import com.chelvc.cloud.vehicle.client.param.QueryRankAwardRecordParam;
import com.chelvc.framework.common.model.Pagination;

public interface RankAwardRecordService {

    Pagination<RankAwardRecordDTO> queryPageList(QueryRankAwardRecordParam param);

    void handOutPrize(HandRankAwardParam param);

    void cityAwardRank();

    void districtAwardRank();
}
